IF EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'OTAPricePax'
    WHERE SysObjects.Name = 'RoomTypes'
)
BEGIN
  DECLARE @SQL VARCHAR(MAX)
  SET @SQL = 'UPDATE OA
  SET Aux1 = RoomTypes.OTAPricePax
  FROM OTAAliases AS OA
  INNER JOIN RoomTypes WITH (NOLOCK) ON RoomTypes.RoomTypeNumber = OA.FK_LookupID
  WHERE OA.Kind = 0
  AND OA.Aux1 IS NULL'
  EXEC(@SQL)
  ALTER TABLE dbo.RoomTypes DROP COLUMN OTAPricePax;
END
GO